import Component from '@glimmer/component';
import { LaddaButton as Ladda } from 'ladda';
import LaddaButtonService, { ButtonStyle } from 'ember-ladda-button/services/ladda-button';
interface Action {
    (): unknown;
    (): Promise<unknown>;
}
interface Args {
    action?: Action;
    buttonStyle?: ButtonStyle;
    class?: string;
    disabled?: boolean;
    inFlight?: boolean;
    spinnerColor?: string;
    spinnerLines?: number;
    spinnerSize?: number;
    text?: string;
    type?: 'button' | 'reset' | 'submit';
}
export default class LaddaButton extends Component<Args> {
    laddaButton: LaddaButtonService;
    inFlightPromise: boolean;
    ladda: null | Ladda;
    get buttonStyle(): ButtonStyle;
    get disabled(): boolean;
    get spinnerColor(): string | null;
    get spinnerLines(): number | null;
    get spinnerSize(): number | null;
    get type(): "button" | "reset" | "submit";
    didInsert(element: HTMLButtonElement): void;
    handleClick(): void;
    updateLoadingState(): void;
    willDestroy(): void;
}
export {};
